Imports System.Data.SqlClient
Imports System.Threading.Tasks

Public Class ActualizadorRegistros
    Private Function Actualizar() As Boolean
        Dim respuesta = False

        Dim query = ""

        Dim ConexionOk = False
        Do

            Using conBD = New SqlConnection(conexionMaestra)

                Try
                    conBD.Open()
                    Dim SqlCom = New SqlCommand(query, conBD)
                    SqlCom.CommandType = CommandType.Text
                    SqlCom.Parameters.Add(New SqlParameter("@tipo_sii", ""))
                    Dim sqlRespuesta = SqlCom.ExecuteScalar()

                    If IsNumeric(sqlRespuesta.ToString()) Then
                        respuesta = sqlRespuesta.Equals(1)
                        ConexionOk = True
                    End If

                Catch ex As Exception
                    If TypeOf ex Is SqlException Then
                        ' Si tiene problemas de conexión por falta de internet entonces que espere 
                        ' 10 seg y vuelva a intentar.
                        System.Threading.Thread.Sleep(10000)
                    Else
                        ConexionOk = True
                    End If
                End Try
            End Using
        Loop While (ConexionOk = False)
        Return respuesta
    End Function
End Class